You are not logged in.

#476 2012-04-28 20:39:27

chenxiaolong
Member
From: /home/chenxiaolong
Registered: 2010-11-03
Posts: 779

Re: Progress on Unity under Arch Linux!

pientertje wrote:

Those catalyst drivers are driving me crazy, the support for my new card (HD7750) is terrible. I get artifacts everywhere, even when scrolling my browser. The problem occurs with Arch (KDE) and a clean ubuntu install. I guess I will have to wait for the new version before I can use linux again. When te new version of the catalyst driver becomes available I will help getting unity working.

The last time I saw something like that was when I tried using nouveau for my Quadro 2000M. By the way, I wish I had 2560x1440 screen!


Current system: Lenovo W520
Unity-for-Arch repos' build statuses and old packages: https://jenkins.noobdev.io/

Offline

#477 2012-04-30 20:03:07

Ptiwee
Member
Registered: 2010-11-20
Posts: 8

Re: Progress on Unity under Arch Linux!

I can't compile unity, I get errors about 'gdu'.

patching file tests/autopilot/autopilot/tests/test_launcher.py
patching file tests/autopilot/autopilot/tests/__init__.py
patching file tests/autopilot/autopilot/tests/test_switcher.py
patching file tests/autopilot/autopilot/emulators/bamf.py
patching file tests/autopilot/autopilot/emulators/unity/switcher.py
patching file manual-tests/Switcher.txt
patching file services/CMakeLists.txt
patching file plugins/unityshell/src/OverlayRenderer.cpp
patching file plugins/unityshell/src/WindowManager.cpp
patching file plugins/unityshell/src/PanelView.cpp
patching file plugins/unityshell/src/PluginAdapter.h
patching file plugins/unityshell/src/SwitcherController.cpp
patching file plugins/unityshell/src/Launcher.h
patching file plugins/unityshell/src/PluginAdapter.cpp
patching file plugins/unityshell/src/Launcher.cpp
patching file plugins/unityshell/src/WindowManager.h
patching file plugins/unityshell/src/DashController.cpp
patching file plugins/unityshell/src/UScreen.h
patching file plugins/unityshell/src/ShortcutHint.cpp
patching file plugins/unityshell/src/UnityWindowView.cpp
patching file plugins/unityshell/src/UScreen.cpp
patching file plugins/unityshell/src/BamfLauncherIcon.cpp
patching file plugins/unityshell/src/unityshell.cpp
patching file debian/unity-services.install
patching file debian/unity.preinst
patching file debian/unity.install
patching file debian/libunity-core-5.0-5.install
patching file debian/watch
patching file debian/unity-common.install
patching file debian/rules
patching file debian/source_unity.py
patching file debian/unity-crashdb.conf
patching file debian/control
patching file debian/changelog
patching file debian/netbook-launcher.preinst
patching file debian/libunity-core-5.0-dev.install
patching file debian/copyright
patching file debian/compat
patching file debian/patches/disable_standalone-clients.patch
patching file debian/patches/series.armhf
patching file debian/patches/series.armel
patching file debian/profile_upgrade/com.canonical.unity.unity.03.upgrade
cat: debian/patches/series: Aucun fichier ou dossier de ce type
patching file CMakeLists.txt
~/.softs/unity/Unity-for-Arch/unity/src/unity-5.10.0/po ~/.softs/unity/Unity-for-Arch/unity/src/unity-5.10.0
~/.softs/unity/Unity-for-Arch/unity/src/unity-5.10.0
-- checking for module 'gdu'
--   package 'gdu' not found
-- [WARNING] One or more dependencies for compiz plugin unityshell not found. Skipping plugin.
-- Missing dependencies :
CMake Error at plugins/unityshell/CMakeLists.txt:12 (add_dependencies):
  add_dependencies Adding dependency to non-existent target: unityshell


-- checking for modules 'compiz;nux-2.0>=2.0.0;libbamf3;dee-1.0;gio-2.0;gio-unix-2.0;dbusmenu-glib-0.4;x11;libstartup-notification-1.0;gthread-2.0;indicator3-0.4>=0.4.90;atk;unity-misc>=0.4.0;gconf-2.0;libutouch-geis;gtk+-3.0>=3.1;sigc++-2.0;json-glib-1.0;libnotify;gnome-desktop-3.0;gdu;xfixes;unity>=4.99.0'
--   package 'gdu' not found
CMake Error at /usr/share/cmake-2.8/Modules/FindPkgConfig.cmake:279 (message):
  A required package was not found
Call Stack (most recent call first):
  /usr/share/cmake-2.8/Modules/FindPkgConfig.cmake:333 (_pkg_check_modules_internal)
  tests/CMakeLists.txt:19 (pkg_check_modules)


-- checking for modules 'compiz;nux-2.0>=2.0.0;libbamf3;dee-1.0;gio-2.0;gio-unix-2.0;dbusmenu-glib-0.4;x11;libstartup-notification-1.0;gthread-2.0;indicator3-0.4>=0.4.90;atk;unity-misc>=0.4.0;gconf-2.0;libutouch-geis;gtk+-3.0>=3.1;sigc++-2.0;json-glib-1.0;libnotify;gnome-desktop-3.0;gdu;xfixes;unity>=4.0.0 xtst'
--   package 'gdu' not found
CMake Error at /usr/share/cmake-2.8/Modules/FindPkgConfig.cmake:279 (message):
  A required package was not found
Call Stack (most recent call first):
  /usr/share/cmake-2.8/Modules/FindPkgConfig.cmake:333 (_pkg_check_modules_internal)
  standalone-clients/CMakeLists.txt:12 (pkg_check_modules)


-- GSettings schemas will be installed into /usr/share/glib-2.0/schemas/
-- Configuring incomplete, errors occurred!

Offline

#478 2012-04-30 22:00:41

chenxiaolong
Member
From: /home/chenxiaolong
Registered: 2010-11-03
Posts: 779

Re: Progress on Unity under Arch Linux!

Ptiwee wrote:

I can't compile unity, I get errors about 'gdu'.

patching file tests/autopilot/autopilot/tests/test_launcher.py
patching file tests/autopilot/autopilot/tests/__init__.py
patching file tests/autopilot/autopilot/tests/test_switcher.py
patching file tests/autopilot/autopilot/emulators/bamf.py
patching file tests/autopilot/autopilot/emulators/unity/switcher.py
patching file manual-tests/Switcher.txt
patching file services/CMakeLists.txt
patching file plugins/unityshell/src/OverlayRenderer.cpp
patching file plugins/unityshell/src/WindowManager.cpp
patching file plugins/unityshell/src/PanelView.cpp
patching file plugins/unityshell/src/PluginAdapter.h
patching file plugins/unityshell/src/SwitcherController.cpp
patching file plugins/unityshell/src/Launcher.h
patching file plugins/unityshell/src/PluginAdapter.cpp
patching file plugins/unityshell/src/Launcher.cpp
patching file plugins/unityshell/src/WindowManager.h
patching file plugins/unityshell/src/DashController.cpp
patching file plugins/unityshell/src/UScreen.h
patching file plugins/unityshell/src/ShortcutHint.cpp
patching file plugins/unityshell/src/UnityWindowView.cpp
patching file plugins/unityshell/src/UScreen.cpp
patching file plugins/unityshell/src/BamfLauncherIcon.cpp
patching file plugins/unityshell/src/unityshell.cpp
patching file debian/unity-services.install
patching file debian/unity.preinst
patching file debian/unity.install
patching file debian/libunity-core-5.0-5.install
patching file debian/watch
patching file debian/unity-common.install
patching file debian/rules
patching file debian/source_unity.py
patching file debian/unity-crashdb.conf
patching file debian/control
patching file debian/changelog
patching file debian/netbook-launcher.preinst
patching file debian/libunity-core-5.0-dev.install
patching file debian/copyright
patching file debian/compat
patching file debian/patches/disable_standalone-clients.patch
patching file debian/patches/series.armhf
patching file debian/patches/series.armel
patching file debian/profile_upgrade/com.canonical.unity.unity.03.upgrade
cat: debian/patches/series: Aucun fichier ou dossier de ce type
patching file CMakeLists.txt
~/.softs/unity/Unity-for-Arch/unity/src/unity-5.10.0/po ~/.softs/unity/Unity-for-Arch/unity/src/unity-5.10.0
~/.softs/unity/Unity-for-Arch/unity/src/unity-5.10.0
-- checking for module 'gdu'
--   package 'gdu' not found
-- [WARNING] One or more dependencies for compiz plugin unityshell not found. Skipping plugin.
-- Missing dependencies :
CMake Error at plugins/unityshell/CMakeLists.txt:12 (add_dependencies):
  add_dependencies Adding dependency to non-existent target: unityshell


-- checking for modules 'compiz;nux-2.0>=2.0.0;libbamf3;dee-1.0;gio-2.0;gio-unix-2.0;dbusmenu-glib-0.4;x11;libstartup-notification-1.0;gthread-2.0;indicator3-0.4>=0.4.90;atk;unity-misc>=0.4.0;gconf-2.0;libutouch-geis;gtk+-3.0>=3.1;sigc++-2.0;json-glib-1.0;libnotify;gnome-desktop-3.0;gdu;xfixes;unity>=4.99.0'
--   package 'gdu' not found
CMake Error at /usr/share/cmake-2.8/Modules/FindPkgConfig.cmake:279 (message):
  A required package was not found
Call Stack (most recent call first):
  /usr/share/cmake-2.8/Modules/FindPkgConfig.cmake:333 (_pkg_check_modules_internal)
  tests/CMakeLists.txt:19 (pkg_check_modules)


-- checking for modules 'compiz;nux-2.0>=2.0.0;libbamf3;dee-1.0;gio-2.0;gio-unix-2.0;dbusmenu-glib-0.4;x11;libstartup-notification-1.0;gthread-2.0;indicator3-0.4>=0.4.90;atk;unity-misc>=0.4.0;gconf-2.0;libutouch-geis;gtk+-3.0>=3.1;sigc++-2.0;json-glib-1.0;libnotify;gnome-desktop-3.0;gdu;xfixes;unity>=4.0.0 xtst'
--   package 'gdu' not found
CMake Error at /usr/share/cmake-2.8/Modules/FindPkgConfig.cmake:279 (message):
  A required package was not found
Call Stack (most recent call first):
  /usr/share/cmake-2.8/Modules/FindPkgConfig.cmake:333 (_pkg_check_modules_internal)
  standalone-clients/CMakeLists.txt:12 (pkg_check_modules)


-- GSettings schemas will be installed into /usr/share/glib-2.0/schemas/
-- Configuring incomplete, errors occurred!

You need to install the libgdu package. But for some reason, it is no longer in the repositories: http://www.archlinux.org/packages/extra/x86_64/libgdu/ I have no idea what happened.

EDIT: I will need to create a libgdu package. It's a deprecated part of gnome-disk-utility from GNOME 3.0 (which Ubuntu still uses).

Last edited by chenxiaolong (2012-04-30 23:57:30)


Current system: Lenovo W520
Unity-for-Arch repos' build statuses and old packages: https://jenkins.noobdev.io/

Offline

#479 2012-04-30 23:40:59

cinan
Member
From: Slovakia
Registered: 2008-07-04
Posts: 251
Website

Re: Progress on Unity under Arch Linux!

I've just installed fresh unity. I can log in, everything looks ok, but performance is horrible. I use xf86-video-intel driver. Unity 2D is much faster but Unity 3D looks much better. Is it intel graphics issue in general or something is wrong with my configuration? I have integrated gpu in i5 m430 CPU. Maybe ubuntu intel drivers could help but I don't know how to compile and install them.

Offline

#480 2012-04-30 23:43:25

Reded
Member
From: Manchester, England
Registered: 2012-02-21
Posts: 233

Re: Progress on Unity under Arch Linux!

can someone tell me what needs to be put into my .xinitrc file to start Unity without a login manager? Would it just be gnome or is it unity?


"Some humans would do anything to see if it was possible to do it. If you put a large switch in some cave somewhere, with a sign on it saying "End-of-the-World Switch. PLEASE DO NOT TOUCH", the paint wouldn't even have time to dry."

Offline

#481 2012-04-30 23:52:53

chenxiaolong
Member
From: /home/chenxiaolong
Registered: 2010-11-03
Posts: 779

Re: Progress on Unity under Arch Linux!

cinan wrote:

I've just installed fresh unity. I can log in, everything looks ok, but performance is horrible. I use xf86-video-intel driver. Unity 2D is much faster but Unity 3D looks much better. Is it intel graphics issue in general or something is wrong with my configuration? I have integrated gpu in i5 m430 CPU. Maybe ubuntu intel drivers could help but I don't know how to compile and install them.

Hmm...Unity runs very quickly on my Intel GMA 4500MHD and the integrated graphics from my i7 2720m CPU. It could be a driver problem.

EDIT: I'll be updating to Unity 5.12 tomorrow, which contains a bunch of bug fixes. Maybe you can test again after the update?


Current system: Lenovo W520
Unity-for-Arch repos' build statuses and old packages: https://jenkins.noobdev.io/

Offline

#482 2012-04-30 23:53:58

chenxiaolong
Member
From: /home/chenxiaolong
Registered: 2010-11-03
Posts: 779

Re: Progress on Unity under Arch Linux!

Reded wrote:

can someone tell me what needs to be put into my .xinitrc file to start Unity without a login manager? Would it just be gnome or is it unity?

The command to run Unity is 'gnome-session --session=ubuntu'. I don't know if you need anything else though, like 'ck-launch-session', 'dbus-launch', etc.


Current system: Lenovo W520
Unity-for-Arch repos' build statuses and old packages: https://jenkins.noobdev.io/

Offline

#483 2012-05-01 01:18:23

cinan
Member
From: Slovakia
Registered: 2008-07-04
Posts: 251
Website

Re: Progress on Unity under Arch Linux!

chenxiaolong wrote:
cinan wrote:

I've just installed fresh unity. I can log in, everything looks ok, but performance is horrible. I use xf86-video-intel driver. Unity 2D is much faster but Unity 3D looks much better. Is it intel graphics issue in general or something is wrong with my configuration? I have integrated gpu in i5 m430 CPU. Maybe ubuntu intel drivers could help but I don't know how to compile and install them.

Hmm...Unity runs very quickly on my Intel GMA 4500MHD and the integrated graphics from my i7 2720m CPU. It could be a driver problem.

EDIT: I'll be updating to Unity 5.12 tomorrow, which contains a bunch of bug fixes. Maybe you can test again after the update?

I'm in ubuntu 12.04 right now. Performance is the same as in Arch. But I found out what is THE slowest part of unity - if I disable blur in ccsm (unity plugin->experimental->dash blur->off) the performance is same as in Unity 2D. Looks like I'm not the only one with this problem (https://bugs.launchpad.net/ubuntu/+sour … bug/824890)

Offline

#484 2012-05-01 06:15:53

chenxiaolong
Member
From: /home/chenxiaolong
Registered: 2010-11-03
Posts: 779

Re: Progress on Unity under Arch Linux!

cinan wrote:

I'm in ubuntu 12.04 right now. Performance is the same as in Arch. But I found out what is THE slowest part of unity - if I disable blur in ccsm (unity plugin->experimental->dash blur->off) the performance is same as in Unity 2D. Looks like I'm not the only one with this problem (https://bugs.launchpad.net/ubuntu/+sour … bug/824890)

Well, at least you found the cause of the issue smile Hopefully the Compiz/Unity developers will fix it. The bug you linked to says "fix released", but it clearly isn't fixed.


Current system: Lenovo W520
Unity-for-Arch repos' build statuses and old packages: https://jenkins.noobdev.io/

Offline

#485 2012-05-01 08:17:22

Ptiwee
Member
Registered: 2010-11-20
Posts: 8

Re: Progress on Unity under Arch Linux!

I downloaded libgdu on http://arm.konnichi.com/search/, works great big_smile
Thanks for the work !

In Unity-For-Arch-Extras, python2-distribute seems to be a missing dependancie for ubuntu-tweak.

Offline

#486 2012-05-01 17:52:23

sollidsnake
Member
Registered: 2012-01-30
Posts: 100

Re: Progress on Unity under Arch Linux!

I'm getting this error when I try to build qt-ubuntu

In file included from /usr/include/glib-2.0/glib/gasyncqueue.h:34:0,
                 from /usr/include/glib-2.0/glib.h:34,
                 from /usr/include/glib-2.0/gobject/gbinding.h:30,
                 from /usr/include/glib-2.0/glib-object.h:25,
                 from /usr/include/glib-2.0/gio/gioenums.h:30,
                 from /usr/include/glib-2.0/gio/giotypes.h:30,
                 from /usr/include/glib-2.0/gio/gio.h:28,
                 from wtf/gobject/GOwnPtr.cpp:24:
/usr/include/glib-2.0/glib/gthread.h:58:7: error: ‘union’ tag used in naming ‘struct _GMutex’ [-fpermissive]
In file included from ./wtf/Platform.h:1217:0,
                 from ./config.h:30,
                 from wtf/gobject/GOwnPtr.cpp:19:
wtf/gobject/GTypedefs.h:55:16: note: ‘struct _GMutex’ was previously declared here
make[2]: *** [.obj/release-static/GOwnPtr.o] Error 1
make[2]: Leaving directory `/home/jesse/builds/Unity-for-Arch/qt-ubuntu/src/qt-everywhere-opensource-src-4.8.1/src/3rdparty/webkit/Source/JavaScriptCore'
make[1]: *** [sub-JavaScriptCore-JavaScriptCore-pro-make_default-ordered] Error 2
make[1]: Leaving directory `/home/jesse/builds/Unity-for-Arch/qt-ubuntu/src/qt-everywhere-opensource-src-4.8.1/src/3rdparty/webkit/Source'
make: *** [sub-webkit-make_default-ordered] Error 2
==> ERROR: A failure occurred in build().
    Aborting...

"For with the passing of this hour
Even gods will be devoured"

Offline

#487 2012-05-02 02:29:36

chenxiaolong
Member
From: /home/chenxiaolong
Registered: 2010-11-03
Posts: 779

Re: Progress on Unity under Arch Linux!

Ptiwee wrote:

I downloaded libgdu on http://arm.konnichi.com/search/, works great big_smile
Thanks for the work !

In Unity-For-Arch-Extras, python2-distribute seems to be a missing dependancie for ubuntu-tweak.

Thanks for the link! But since Arch Linux dropped support for it, there won't be updates to it anymore. I have created a new libgdu package and uploaded it to the git repo smile

Oh yeah, I'm working on porting ubuntu-tweak 0.7.0. I'll be sure to add python2-distribute to the dependencies smile


sollidsnake wrote:

I'm getting this error when I try to build qt-ubuntu

qt-ubuntu build output

Hmm...are you running the latest glib2-ubuntu? Ubuntu has patches for glib2 or qt (forgot which) that fixes this problem. Could you upload the build logs somewhere ("makepkg -L" to create logs)?


Current system: Lenovo W520
Unity-for-Arch repos' build statuses and old packages: https://jenkins.noobdev.io/

Offline

#488 2012-05-02 11:51:23

brainwasher
Member
From: Lucca (Italy)
Registered: 2007-01-04
Posts: 77

Re: Progress on Unity under Arch Linux!

Hi, I have an error during compiling unity


EDIT: Resolved changing in the PKGBUILd file

    -DCMAKE_C_COMPILER="${srcdir}/usr/bin/${CARCH}-unknown-linux-gnu-gcc-4.6" \
    -DCMAKE_CXX_COMPILER="${srcdir}/usr/bin/${CARCH}-unknown-linux-gnu-g++-4.6" \

to
    -DCMAKE_C_COMPILER="${srcdir}/usr/bin/${CARCH}-pc-linux-gnu-gcc-4.6" \
    -DCMAKE_CXX_COMPILER="${srcdir}/usr/bin/${CARCH}-pc-linux-gnu-g++-4.6" \

➜  unity git:(master) ✗ makepkg
==> Creazione del pacchetto: unity 5.10.0.0ubuntu6-102 (mer  2 mag 2012, 13.47.36, CEST)
==> Controllo delle dipendenze durante l'avvio in corso...
==> Controllo delle dipendenze durante la compilazione in corso...
==> Download dei sorgenti in corso...
  -> È stato trovato unity-5.10.0.tar.bz2
  -> È stato trovato unity_5.10.0-0ubuntu6.diff.gz
  -> È stato trovato launchpad_export.tar.gz
  -> È stato trovato fix_gtest_directory.patch
  -> È stato trovato launcher_bfb.png
  -> È stato trovato gcc_4.7_fix.patch
  -> È stato trovato gcc46-4.6.3-1-i686.pkg.tar.xz
==> Validazione dei sorgenti con sha512sums in corso...
    unity-5.10.0.tar.bz2 ... Verificato
    unity_5.10.0-0ubuntu6.diff.gz ... Verificato
    launchpad_export.tar.gz ... Verificato
    fix_gtest_directory.patch ... Verificato
    launcher_bfb.png ... Verificato
    gcc_4.7_fix.patch ... Verificato
    gcc46-4.6.3-1-i686.pkg.tar.xz ... Verificato
==> Estrazione dei sorgenti in corso...
  -> Estrazione di unity-5.10.0.tar.bz2 con bsdtar in corso...
  -> Estrazione di unity_5.10.0-0ubuntu6.diff.gz con gzip in corso...
  -> Estrazione di launchpad_export.tar.gz con bsdtar in corso...
  -> Estrazione di gcc46-4.6.3-1-i686.pkg.tar.xz con bsdtar in corso...
==> Rimozione dell'esistente directory pkg/ in corso...
==> Avvio di build() in corso...
patching file tests/autopilot/autopilot/tests/test_launcher.py
patching file tests/autopilot/autopilot/tests/__init__.py
patching file tests/autopilot/autopilot/tests/test_switcher.py
patching file tests/autopilot/autopilot/emulators/bamf.py
patching file tests/autopilot/autopilot/emulators/unity/switcher.py
patching file manual-tests/Switcher.txt
patching file services/CMakeLists.txt
patching file plugins/unityshell/src/OverlayRenderer.cpp
patching file plugins/unityshell/src/WindowManager.cpp
patching file plugins/unityshell/src/PanelView.cpp
patching file plugins/unityshell/src/PluginAdapter.h
patching file plugins/unityshell/src/SwitcherController.cpp
patching file plugins/unityshell/src/Launcher.h
patching file plugins/unityshell/src/PluginAdapter.cpp
patching file plugins/unityshell/src/Launcher.cpp
patching file plugins/unityshell/src/WindowManager.h
patching file plugins/unityshell/src/DashController.cpp
patching file plugins/unityshell/src/UScreen.h
patching file plugins/unityshell/src/ShortcutHint.cpp
patching file plugins/unityshell/src/UnityWindowView.cpp
patching file plugins/unityshell/src/UScreen.cpp
patching file plugins/unityshell/src/BamfLauncherIcon.cpp
patching file plugins/unityshell/src/unityshell.cpp
patching file debian/unity-services.install
patching file debian/unity.preinst
patching file debian/unity.install
patching file debian/libunity-core-5.0-5.install
patching file debian/watch
patching file debian/unity-common.install
patching file debian/rules
patching file debian/source_unity.py
patching file debian/unity-crashdb.conf
patching file debian/control
patching file debian/changelog
patching file debian/netbook-launcher.preinst
patching file debian/libunity-core-5.0-dev.install
patching file debian/copyright
patching file debian/compat
patching file debian/patches/disable_standalone-clients.patch
patching file debian/patches/series.armhf
patching file debian/patches/series.armel
patching file debian/profile_upgrade/com.canonical.unity.unity.03.upgrade
cat: debian/patches/series: File o directory non esistente
patching file CMakeLists.txt
~/src/Unity-for-Arch/unity/src/unity-5.10.0/po ~/src/Unity-for-Arch/unity/src/unity-5.10.0
~/src/Unity-for-Arch/unity/src/unity-5.10.0
-- The C compiler identification is unknown
-- The CXX compiler identification is unknown
-- Check for working C compiler: /home/manuel/src/Unity-for-Arch/unity/src/usr/bin/i686-unknown-linux-gnu-gcc-4.6
CMake Error: your C compiler: "/home/manuel/src/Unity-for-Arch/unity/src/usr/bin/i686-unknown-linux-gnu-gcc-4.6" was not found.   Please set CMAKE_C_COMPILER to a valid compiler path or name.
CMake Error: Internal CMake error, TryCompile configure of cmake failed
-- Check for working C compiler: /home/manuel/src/Unity-for-Arch/unity/src/usr/bin/i686-unknown-linux-gnu-gcc-4.6 -- broken
CMake Error at /usr/share/cmake-2.8/Modules/CMakeTestCCompiler.cmake:52 (MESSAGE):
  The C compiler
  "/home/manuel/src/Unity-for-Arch/unity/src/usr/bin/i686-unknown-linux-gnu-gcc-4.6"
  is not able to compile a simple test program.

  It fails with the following output:

   

  

  CMake will not be able to correctly generate this project.
Call Stack (most recent call first):
  CMakeLists.txt:1 (project)


CMake Error: your C compiler: "/home/manuel/src/Unity-for-Arch/unity/src/usr/bin/i686-unknown-linux-gnu-gcc-4.6" was not found.   Please set CMAKE_C_COMPILER to a valid compiler path or name.
CMake Error: your CXX compiler: "/home/manuel/src/Unity-for-Arch/unity/src/usr/bin/i686-unknown-linux-gnu-g++-4.6" was not found.   Please set CMAKE_CXX_COMPILER to a valid compiler path or name.
-- Configuring incomplete, errors occurred!
==> ERRORE: Si è verificato un errore in build().
    L'operazione sta per essere interrotta...
➜  unity git:(master) ✗ 

Last edited by brainwasher (2012-05-02 12:35:16)

Offline

#489 2012-05-02 12:25:30

sollidsnake
Member
Registered: 2012-01-30
Posts: 100

Re: Progress on Unity under Arch Linux!

chenxiaolong wrote:
sollidsnake wrote:

I'm getting this error when I try to build qt-ubuntu

qt-ubuntu build output

Hmm...are you running the latest glib2-ubuntu? Ubuntu has patches for glib2 or qt (forgot which) that fixes this problem. Could you upload the build logs somewhere ("makepkg -L" to create logs)?

Yes, I'm running the last glib2-ubuntu. I just cloned the git repo and built glib2-ubuntu before compiling qt-ubuntu. Here is the log file. I uploaded to mediafire cause the file is too big and regular pastebin sites won't accept it
http://www.mediafire.com/?8vxy4jenw3g3cwl


"For with the passing of this hour
Even gods will be devoured"

Offline

#490 2012-05-02 18:04:51

chenxiaolong
Member
From: /home/chenxiaolong
Registered: 2010-11-03
Posts: 779

Re: Progress on Unity under Arch Linux!

brainwasher wrote:

Hi, I have an error during compiling unity


EDIT: Resolved changing in the PKGBUILd file

    -DCMAKE_C_COMPILER="${srcdir}/usr/bin/${CARCH}-unknown-linux-gnu-gcc-4.6" \
    -DCMAKE_CXX_COMPILER="${srcdir}/usr/bin/${CARCH}-unknown-linux-gnu-g++-4.6" \

to
    -DCMAKE_C_COMPILER="${srcdir}/usr/bin/${CARCH}-pc-linux-gnu-gcc-4.6" \
    -DCMAKE_CXX_COMPILER="${srcdir}/usr/bin/${CARCH}-pc-linux-gnu-g++-4.6" \

unity build output

Thanks! I had no idea the compiler name was different on i686. It's fixed now (for both Unity and nux) smile


Current system: Lenovo W520
Unity-for-Arch repos' build statuses and old packages: https://jenkins.noobdev.io/

Offline

#491 2012-05-02 18:05:47

chenxiaolong
Member
From: /home/chenxiaolong
Registered: 2010-11-03
Posts: 779

Re: Progress on Unity under Arch Linux!

sollidsnake wrote:
chenxiaolong wrote:
sollidsnake wrote:

I'm getting this error when I try to build qt-ubuntu

qt-ubuntu build output

Hmm...are you running the latest glib2-ubuntu? Ubuntu has patches for glib2 or qt (forgot which) that fixes this problem. Could you upload the build logs somewhere ("makepkg -L" to create logs)?

Yes, I'm running the last glib2-ubuntu. I just cloned the git repo and built glib2-ubuntu before compiling qt-ubuntu. Here is the log file. I uploaded to mediafire cause the file is too big and regular pastebin sites won't accept it
http://www.mediafire.com/?8vxy4jenw3g3cwl

It turns out I disabled the patch in the PKGBUILD. I've reenabled it and pushed the changes smile Could you try again?


Current system: Lenovo W520
Unity-for-Arch repos' build statuses and old packages: https://jenkins.noobdev.io/

Offline

#492 2012-05-03 04:14:43

sollidsnake
Member
Registered: 2012-01-30
Posts: 100

Re: Progress on Unity under Arch Linux!

chenxiaolong wrote:
sollidsnake wrote:
chenxiaolong wrote:

Hmm...are you running the latest glib2-ubuntu? Ubuntu has patches for glib2 or qt (forgot which) that fixes this problem. Could you upload the build logs somewhere ("makepkg -L" to create logs)?

Yes, I'm running the last glib2-ubuntu. I just cloned the git repo and built glib2-ubuntu before compiling qt-ubuntu. Here is the log file. I uploaded to mediafire cause the file is too big and regular pastebin sites won't accept it
http://www.mediafire.com/?8vxy4jenw3g3cwl

It turns out I disabled the patch in the PKGBUILD. I've reenabled it and pushed the changes smile Could you try again?

I pulled the changes and it did update the qt-ubuntu PKGBUILD. But I got the same error when I try to compile. I also tried deleting the git repo folder and cloning it again and rebuild the packages just to make sure it wasn't my mistake, but I get the same.


"For with the passing of this hour
Even gods will be devoured"

Offline

#493 2012-05-04 00:16:28

chenxiaolong
Member
From: /home/chenxiaolong
Registered: 2010-11-03
Posts: 779

Re: Progress on Unity under Arch Linux!

sollidsnake wrote:
chenxiaolong wrote:
sollidsnake wrote:

Yes, I'm running the last glib2-ubuntu. I just cloned the git repo and built glib2-ubuntu before compiling qt-ubuntu. Here is the log file. I uploaded to mediafire cause the file is too big and regular pastebin sites won't accept it
http://www.mediafire.com/?8vxy4jenw3g3cwl

It turns out I disabled the patch in the PKGBUILD. I've reenabled it and pushed the changes smile Could you try again?

I pulled the changes and it did update the qt-ubuntu PKGBUILD. But I got the same error when I try to compile. I also tried deleting the git repo folder and cloning it again and rebuild the packages just to make sure it wasn't my mistake, but I get the same.

That's odd. Could you post the Unity-for-Arch/qt-ubuntu/src/qt-everywhere-opensource-src-4.8.1/src/3rdparty/webkit/Source/JavaScriptCore/wtf/gobject/GTypedefs.h file so I can see whether the patch actually got applied?

EDIT: You did temporary remove the qtwebkit package before building, right?

Last edited by chenxiaolong (2012-05-04 00:17:08)


Current system: Lenovo W520
Unity-for-Arch repos' build statuses and old packages: https://jenkins.noobdev.io/

Offline

#494 2012-05-04 02:55:44

sollidsnake
Member
Registered: 2012-01-30
Posts: 100

Re: Progress on Unity under Arch Linux!

chenxiaolong wrote:
sollidsnake wrote:
chenxiaolong wrote:

It turns out I disabled the patch in the PKGBUILD. I've reenabled it and pushed the changes smile Could you try again?

I pulled the changes and it did update the qt-ubuntu PKGBUILD. But I got the same error when I try to compile. I also tried deleting the git repo folder and cloning it again and rebuild the packages just to make sure it wasn't my mistake, but I get the same.

That's odd. Could you post the Unity-for-Arch/qt-ubuntu/src/qt-everywhere-opensource-src-4.8.1/src/3rdparty/webkit/Source/JavaScriptCore/wtf/gobject/GTypedefs.h file so I can see whether the patch actually got applied?

EDIT: You did temporary remove the qtwebkit package before building, right?

Ops, I didn't know that. I removed qtwebkit and it worked! Many thanks! Btw, maybe you should include this info this in the README file smile


"For with the passing of this hour
Even gods will be devoured"

Offline

#495 2012-05-04 03:02:00

chenxiaolong
Member
From: /home/chenxiaolong
Registered: 2010-11-03
Posts: 779

Re: Progress on Unity under Arch Linux!

sollidsnake wrote:
chenxiaolong wrote:
sollidsnake wrote:

I pulled the changes and it did update the qt-ubuntu PKGBUILD. But I got the same error when I try to compile. I also tried deleting the git repo folder and cloning it again and rebuild the packages just to make sure it wasn't my mistake, but I get the same.

That's odd. Could you post the Unity-for-Arch/qt-ubuntu/src/qt-everywhere-opensource-src-4.8.1/src/3rdparty/webkit/Source/JavaScriptCore/wtf/gobject/GTypedefs.h file so I can see whether the patch actually got applied?

EDIT: You did temporary remove the qtwebkit package before building, right?

Ops, I didn't know that. I removed qtwebkit and it worked! Many thanks! Btw, maybe you should include this info this in the README file smile

You're welcome! I should have remembered about qtwebkit when you said qt-ubuntu didn't build. It's almost always the problem smile I'll put it in the README right now smile


Current system: Lenovo W520
Unity-for-Arch repos' build statuses and old packages: https://jenkins.noobdev.io/

Offline

#496 2012-05-04 03:16:58

quasifilmie
Member
From: Bowmanville, Ontario, Canada
Registered: 2011-10-27
Posts: 291

Re: Progress on Unity under Arch Linux!

@chenxiaolong, I run Unity in virtualbox.  I was wondering if you had any plans to maintain not just dev but also stable. You updated unity during the 12.04 cycle with dev versions but it would be great if you would have two branches: one that updates unity only when it does not depend on beta/alpha packages and another that continuously follows ubuntu development. the continuous ubuntu development you currently have is not safe outside of virtualbox and non-productions and so this is why i am asking.  we have stable versions in aur but no offense to the ayatana  maintainers there, they do not work the best and are not well-maintained. on another note, i don't know how much ambition you have with this unity port project but i see all this mint/ubuntu stuff you have ported over to arch doing great things for our community in the long run and i am really grateful for it.

Offline

#497 2012-05-04 03:36:46

chenxiaolong
Member
From: /home/chenxiaolong
Registered: 2010-11-03
Posts: 779

Re: Progress on Unity under Arch Linux!

quasifilmie wrote:

@chenxiaolong, I run Unity in virtualbox.  I was wondering if you had any plans to maintain not just dev but also stable. You updated unity during the 12.04 cycle with dev versions but it would be great if you would have two branches: one that updates unity only when it does not depend on beta/alpha packages and another that continuously follows ubuntu development. the continuous ubuntu development you currently have is not safe outside of virtualbox and non-productions and so this is why i am asking.  we have stable versions in aur but no offense to the ayatana  maintainers there, they do not work the best and are not well-maintained. on another note, i don't know how much ambition you have with this unity port project but i see all this mint/ubuntu stuff you have ported over to arch doing great things for our community in the long run and i am really grateful for it.

Thanks for the encouragement, quasifilmie! To answer your question, I plan to do only stable versions. You're right about how I followed the 12.04 dev cycle though. The reason I did that was because Unity from Ubuntu 11.10 did not run well on my computer and well, it's hard to port something when it doesn't run properly smile But starting now, I will stick to the 12.04 stable cycle until Arch Linux has GNOME 3.6. I may start a separate branch that only contains nux, compiz, and Unity from Ubuntu 12.10, so people can test out new Unity features.

As for the AUR packages, I don't think the Ayatana packages should be hosted there. The AUR doesn't provide a good way to for the maintainers to communicate, which I think is really important. Heck, I work on the Unity packages myself, and it took 913 git commits + all the previous work that the AUR maintainers did + communication with forum members to get Unity-for-Arch to its current state smile With multiple maintainers, it takes a lot of collaboration to get Unity working (now, if only Ubuntu could push all their patches upstream...).

Last edited by chenxiaolong (2012-05-04 03:41:54)


Current system: Lenovo W520
Unity-for-Arch repos' build statuses and old packages: https://jenkins.noobdev.io/

Offline

#498 2012-05-06 03:58:41

quasifilmie
Member
From: Bowmanville, Ontario, Canada
Registered: 2011-10-27
Posts: 291

Re: Progress on Unity under Arch Linux!

chenxiaolong wrote:

it takes a lot of collaboration to get Unity working (now, if only Ubuntu could push all their patches upstream...).

I think secretly the ubuntu devs don't really want this to happen because they want to separate themselves from other distros because they really do look the same. We have a hundred distros centered around xfce and another 200 centered kde. The unity  shell is unique to Ubuntu because it is harder to get it other distros. Ultimately, I am however glad that Ubuntu is putting the desktop-based linux on the map.

Last edited by quasifilmie (2012-05-06 03:59:17)

Offline

#499 2012-05-06 04:35:41

chenxiaolong
Member
From: /home/chenxiaolong
Registered: 2010-11-03
Posts: 779

Re: Progress on Unity under Arch Linux!

quasifilmie wrote:
chenxiaolong wrote:

it takes a lot of collaboration to get Unity working (now, if only Ubuntu could push all their patches upstream...).

I think secretly the ubuntu devs don't really want this to happen because they want to separate themselves from other distros because they really do look the same.

Yeah, I understand if some of their patches can't be pushed upstream, like with GTK. But with packages, like compiz and unity, there is no excuse: Ubuntu is both the upstream and the downstream.

quasifilmie wrote:

We have a hundred distros centered around xfce and another 200 centered kde. The unity  shell is unique to Ubuntu because it is harder to get it other distros. Ultimately, I am however glad that Ubuntu is putting the desktop-based linux on the map.

I totally agree smile


Current system: Lenovo W520
Unity-for-Arch repos' build statuses and old packages: https://jenkins.noobdev.io/

Offline

#500 2012-05-06 10:57:30

pientertje
Member
From: Amsterdam
Registered: 2009-03-31
Posts: 17

Re: Progress on Unity under Arch Linux!

I'm building unity on a clean 32bit virtualbox install and now I get the folowing errors while building libdbusmenu:

[willem@arch-vbox libdbusmenu]$ makepkg
==> Making package: libdbusmenu 0.6.1.0ubuntu3-100 (Sun May  6 10:57:08 CEST 2012)
==> Checking runtime dependencies...
==> Checking buildtime dependencies...
==> Missing Dependencies:
  -> json-glib>=0.12.6
  -> intltool
  -> vala
  -> valgrind
==> ERROR: Could not resolve all dependencies.

Why aren't these dependencies installed automatically?

Last edited by pientertje (2012-05-06 11:20:06)

Offline

Board footer

Powered by FluxBB